hw_api::remove
hw_api::setcommittedversion
Hyperwave API Functions
PHP Manual

# hw_api::replace

Replaces an object

### Description

hw_api_object hw_api::replace ( array `$parameter` )

Replaces the attributes and the content of an object.

### Parameters

`parameter`

  The parameter array contains the required elements 'objectIdentifier' and 'object' and the optional parameters 'content', 'parameters', 'mode' and 'attributeSelector'. 'objectIdentifier' contains the object to be replaced. 'object' contains the new object. 'content' contains the new content. 'parameters' contain extra information for HTML documents. HTML_Language is the letter abbreviation of the language of the title. HTML_Base sets the base attribute of the HTML document.

  'mode' can be a combination of the following flags:

  `HW_API_REPLACE_NORMAL`
    The object on the server is replace with the object passed.
  `HW_API_REPLACE_FORCE_VERSION_CONTROL`
  `HW_API_REPLACE_AUTOMATIC_CHECKOUT`
  `HW_API_REPLACE_AUTOMATIC_CHECKIN`
  `HW_API_REPLACE_PLAIN`
  `HW_API_REPLACE_REVERT_IF_NOT_CHANGED`
  `HW_API_REPLACE_KEEP_TIME_MODIFIED`

### Return Values

### See Also

- hw_api::insert